#包含物品自定义ID lore 点券 金币判定
#例子看看就知道V3判定怎么写了

Title: '&0&l材料兑换'
Layout:
  - '#########'
  - '###`精炼黏液`#`粘液核心`###'
  - '##`赤血核心`#`海洋核心`#`幽幻核心`##'
  - '#########'
  - '##v#c#b##'
Bindings:
  Commands:
    - '兑换'
BUTTONS:
  'b':
    display:
      material: <skull:e3RleHR1cmVzOntTS0lOOnt1cmw6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMzVhYTY2NTBmYjdjNzUxNmY2ODFhY2JmMTUzZjU2MzgwYTQwYzI0OGRmZTY5NDQ3ZDk1YzQ4NjgwNWM0YzM4In19fQ==>
      name: '&c&l武器强化&4&m[1/10日更新]'
      lore:
      - '&b● &f&l点击以打开'
    actions:
      all: 'open: 武器强化'
  'v':
    display:
      material: <skull:e3RleHR1cmVzOntTS0lOOnt1cmw6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZmI3NTBiNzIyNDA4NmExOWI5OTAyM2Q0ZjAxZGM2YmIyMzU3YjVlOTE5MThjNDY0ZWYyMTE0NzFhZjVlODc5YiJ9fX0=>
      name: '&c&l武器兑换&4&m[1/10日更新]'
      lore:
      - '&b● &f&l点击以打开'
    actions:
      all: 'open: 武器兑换'
  'c':
    display:
      material: <skull:eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvM2VkMWFiYTczZjYzOWY0YmM0MmJkNDgxOTZjNzE1MTk3YmUyNzEyYzNiOTYyYzk3ZWJmOWU5ZWQ4ZWZhMDI1In19fQ==>
      name: '&c&l返回功能菜单'
      lore:
      - '&b● &f&l点击以打开'
    actions:
      all: 'open: 菜单'
  '幽幻核心':
    update: 10
    display:
      mats: head:e3RleHR1cmVzOntTS0lOOnt1cmw6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTUxZmIyNGEzZmMxNTZlNThiYmFlM2Q1ZWUzOTEwNGQzMjZkOGQwY2EyOTBlZmIwNjZiOTE1MzJkYjc1NGJiMCJ9fX0=
      name: '&4&l幽幻核心'
      lore:
       - '&f&l消耗:'
       - '&7[&4&l!&7]&a&l原初碎片x30'
       - '&7[&4&l!&7]&e&l金币x60000'
       - '&7[&4&l!&7]&e&l古币x300'
       - ''
       - '&a&l点击兑换'
    actions:
      all:
        condition: 'all [ item *"material:iron_ingot,name:&b&l原初碎片,lore:富含原初力量的碎片,amount:30" money *3000 points *300 ]'
        actions:
          - 'take-item: material:iron_ingot,name:&b&l原初碎片,lore:富含原初力量的碎片,amount:30'
          - 'console: gi gs %player_name% 幽幻核心 1'
          - 'take-money: 60000'
          - 'take-points: 300'
          - 'tell: &7&l[系统]] &4&l幽幻核心&fx1&c兑换成功！'
        deny:
          - 'tell: &7&l[系统] &c所需物品不足！<condition: not item *"material:iron_ingot,name:&B原初碎片,lore:富含原初力量的碎片,amount:30" >'
          - 'tell: &7&l[系统] &c所需金币不足！<condition: not money *60000 >'
          - 'tell: &7&l[系统] &c所需古币不足！<condition: not points *300 >'
  '海洋核心':
    update: 10
    display:
      mats: head:e3RleHR1cmVzOntTS0lOOnt1cmw6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvM2Y2NTdhZDAxM2NmZjQ3Y2VhZmZlZjg2MmJkZWY2NmY0OTBkNTFkNzRlMjNiNDFjNzE0YTU4OTA0NGU4NDU1OCJ9fX0=
      name: '&4&l海洋核心'
      lore:
       - '&f&l消耗:'
       - '&7[&4&l!&7]&a&l原初碎片x15'
       - '&7[&4&l!&7]&e&l金币x30000'
       - '&7[&4&l!&7]&e&l古币x300'
       - ''
       - '&a&l点击兑换'
    actions:
      all:
        condition: 'all [ item *"material:iron_ingot,name:&b&l原初碎片,lore:富含原初力量的碎片,amount:15" money *30000 points *300 ]'
        actions:
          - 'take-item: material:iron_ingot,name:&b&l原初碎片,lore:富含原初力量的碎片,amount:15'
          - 'console: gi gs %player_name% 海洋核心 1'
          - 'take-money: 30000'
          - 'take-points: 300'
          - 'tell: &7&l[系统]] &4&l海洋核心&fx1&c兑换成功！'
        deny:
          - 'tell: &7&l[系统] &c所需物品不足！<condition: not item *"material:iron_ingot,name:&B原初碎片,lore:富含原初力量的碎片,amount:15" >'
          - 'tell: &7&l[系统] &c所需金币不足！<condition: not money *30000 >'
          - 'tell: &7&l[系统] &c所需古币不足！<condition: not points *300 >'
  '赤血核心':
    update: 10
    display:
      mats: head:e3RleHR1cmVzOntTS0lOOnt1cmw6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvM2IwNjlmYWNkMDQzODczMmI4NDVjMjMxNTNkZTA2NWI2MGI0ZTgxMzA0MmUxMzFiMmM2ZWY3ODFjOTY2MWU0OSJ9fX0=
      name: '&4&l赤血核心'
      lore:
       - '&f&l消耗:'
       - '&7[&4&l!&7]&a&l原初碎片x12'
       - '&7[&4&l!&7]&e&l金币x3000'
       - '&7[&4&l!&7]&e&l古币x300'
       - ''
       - '&a&l点击兑换'
    actions:
      all:
        condition: 'all [ item *"material:iron_ingot,name:&b&l原初碎片,lore:富含原初力量的碎片,amount:12" money *30000 points *300 ]'
        actions:
          - 'take-item: material:iron_ingot,name:&b&l原初碎片,lore:富含原初力量的碎片,amount:12'
          - 'console: gi gs %player_name% 赤血核心 1'
          - 'take-money: 30000'
          - 'take-points: 300'
          - 'tell: &7&l[系统]] &4&l赤血核心&fx1&c兑换成功！'
        deny:
          - 'tell: &7&l[系统] &c所需物品不足！<condition: not item *"material:iron_ingot,name:&B原初碎片,lore:富含原初力量的碎片,amount:12" >'
          - 'tell: &7&l[系统] &c所需金币不足！<condition: not money *30000 >'
          - 'tell: &7&l[系统] &c所需古币不足！<condition: not points *300 >'
  '粘液核心':
    update: 10
    display:
      mats: head:e3RleHR1cmVzOntTS0lOOnt1cmw6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTAxNjI4Y2RjMTI1NTE2MzM2NmMxZDZlNmVlMjIzNjQ1YTZmOGUwY2JjOTc0OTMwMWY4NzkxZjUxZTMzMjM4ZSJ9fX0=
      name: '&a&l粘液核心'
      lore:
       - '&f&l消耗:'
       - '&7[&4&l!&7]&a&l精炼粘液x12'
       - '&7[&4&l!&7]&e&l金币x30000'
       - '&7[&4&l!&7]&e&l古币x300'
       - ''
       - '&a&l点击兑换'
    actions:
      all:
        condition: 'all [ item *"material:slime_ball,name:&a&l精炼黏液,lore:精炼过的史莱姆粘液,amount:12" money *30000 points *300 ]'
        actions:
          - 'take-item: material:slime_ball,name:&a&l精炼黏液,lore:精炼过的史莱姆粘液,amount:12'
          - 'console: gi gs %player_name% 粘液核心 1'
          - 'take-money: 30000'
          - 'take-points: 300'
          - 'tell: &7&l[系统]] &4&l粘液核心&fx1&c兑换成功！'
        deny:
          - 'tell: &7&l[系统] &c所需物品不足！<condition: not item *"material:slime_ball,name:&a&l精炼黏液,lore:精炼过的史莱姆粘液,amount:12" >'
          - 'tell: &7&l[系统] &c所需金币不足！<condition: not money *30000 >'
          - 'tell: &7&l[系统] &c所需古币不足！<condition: not points *300 >'
  '精炼黏液':
    update: 10
    display:
      mats: slime_ball
      name: '&a&l精炼黏液'
      lore:
       - '&f&l消耗:'
       - '&7[&4&l!&7]&2&l史莱姆黏液x64'
       - '&7[&4&l!&7]&e&l金币x30000'
       - ''
       - '&a&l点击兑换'
    actions:
      all:
        condition: 'all [ item *"material:slime_ball,name:&2&l史莱姆粘液,lore:&b 粘粘的,像果冻一样,amount:64" money *30000 ]'
        actions:
          - 'take-item: material:slime_ball,name:&2&l史莱姆粘液,lore:&b 粘粘的,像果冻一样,amount:64'
          - 'console: gi gs %player_name% 精炼黏液 1'
          - 'take-money: 30000'
          - 'tell: &7&l[系统]] &2&l精炼黏液&fx1&c兑换成功！'
        deny:
          - 'tell: &7&l[系统] &c所需材料不足！<condition: not item *"material:slime_ball,name:&2&l史莱姆粘液,lore:&b 粘粘的,像果冻一样,amount:64" >'
          - 'tell: &7&l[系统] &c所需金币不足！<condition: not money *30000 >'
  '#':
    display:
      mats: white_STAINED_GLASS_PANE
      name: ['&b&lGuGuMC', '&b&lGuGuMC', '&b&lGuGuMC','&b&lGuGuMC']
      lore:
        - - '&f&lPlay.GuGuMC.NET'
        - - '&f&lPlay.GuGuMC.NET'
    actions:
      all: 'sound: BLOCK_NOTE_BLOCK_PLING-1-2'
Options:
  Arguments: true